Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class StackMapTableEntry

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.StackMapTableEntry

All Implemented Interfaces:
  Serializable, Cloneable

    public final class StackMapTableEntry

extends Object
implements Cloneable, Serializable

This class represents a stack map entry recording the types of local variables and the the of stack items at a given byte code offset. See CLDC specification §5.3.1.2

Version:
  $Id: StackMapTableEntry.java 1181133 2011-10-10 18:49:14Z markt $
Author:
  M. Dahm
See Also:
  `StackMap`, `StackMapType`, Serialized Form

Constructor Summary
`StackMapTableEntry(int tag, int byte_code_offset_delta, int number_of_locals, StackMapType[] types_of_locals, int number_of_stack_items, StackMapType[] types_of_stack_items)`

Method Summary
`StackMapTableEntry` `copy()`
`void` `dump(DataOutputStream file)` Dump stack map entry
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackMapTableEntry

    public StackMapTableEntry(int tag,
                              int byte_code_offset_delta,
                              int number_of_locals,
                              StackMapType[] types_of_locals,
                              int number_of_stack_items,
                              StackMapType[] types_of_stack_items)

Method Detail

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump stack map entry

  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation.

### copy

    public StackMapTableEntry copy()

  Returns:
    deep copy of this object

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.